Example

Loading...
Searching...
No Matches
Functions
CNFBBaseline.h File Reference
`#include "Capsule/CDefinesPrivate.h"`
Include dependency graph for CNFBBaseline.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
| CLC_CLASS_WN (NFBBaselinePrivate, clCNFBBaseline)
CL_DLL clCNFBBaseline | clCNFBBaseline_Create (float windowSizeSec, float strideSec) NOEXCEPT
| Creates clCNFBBaseline handle - buffer for baseline calculation.
CL_DLL void | clCNFBBaseline_Destroy (clCNFBBaseline baseline) NOEXCEPT
| Destroy clCNFBBaseline handle.
CL_DLL void | clCNFBBaseline_PushNFB (clCNFBBaseline baseline, float nfb, int64_t timestamp) NOEXCEPT
| Push (time marked) data to clCNFBBaseline buffer.
CL_DLL float | clCNFBBaseline_Get (clCNFBBaseline baseline, uint8_t percentile) NOEXCEPT
| Get value from clCNFBBaseline for given percentile.

## Function Documentation

## ◆ CLC_CLASS_WN()

CLC_CLASS_WN | ( | NFBBaselinePrivate | ,
|  | clCNFBBaseline |
| ) |  |

## ◆ clCNFBBaseline_Create()

CL_DLL clCNFBBaseline clCNFBBaseline_Create | ( | float | windowSizeSec,
|  | float | strideSec
| ) |  |

Creates clCNFBBaseline handle - buffer for baseline calculation.

Parameters

  [in] | windowsSizeSec | window size (in seconds).
  [in] | strideSec | stride size (for a second).

Returns
  clCNFBBaseline handle, that needs to be destroyed with clCNFBBaseline_Destroy.

## ◆ clCNFBBaseline_Destroy()

CL_DLL void clCNFBBaseline_Destroy | ( | clCNFBBaseline | baseline | ) |

Destroy clCNFBBaseline handle.

Parameters

  [in,out] | baseline | handle.

## ◆ clCNFBBaseline_Get()

CL_DLL float clCNFBBaseline_Get | ( | clCNFBBaseline | baseline,
|  | uint8_t | percentile
| ) |  |

Get value from clCNFBBaseline for given percentile.

Parameters

  [in,out] | baseline | handle.
  [in] | percentile | percentile to calculate value

Returns
  percentile for the handle

## ◆ clCNFBBaseline_PushNFB()

CL_DLL void clCNFBBaseline_PushNFB | ( | clCNFBBaseline | baseline,
|  | float | nfb,
|  | int64_t | timestamp
| ) |  |

Push (time marked) data to clCNFBBaseline buffer.

Parameters

  [in,out] | baseline | handle.
  [in] | nfb | nfb value to insert.
  [in] | timestamp | timestamp mark of inserted value.